org.apache.creadur.tentacles.model

## Class Archives.Item

- java.lang.Object
- - org.apache.creadur.tentacles.model.Archives.Item

Enclosing class:
  Archives

    public static class Archives.Item
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Item()` Required for JAXB

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getJars()`
`String` `getLicense()`
`String` `getName()`
`String` `getNotice()`
`String` `getPath()`
`String` `getType()`
`Archives.Item` `jars(int jars)`
`Archives.Item` `license(String license)`
`Archives.Item` `name(String name)`
`Archives.Item` `notice(String notice)`
`Archives.Item` `path(String path)`
`void` `setJars(int jars)`
`void` `setLicense(String license)`
`void` `setName(String name)`
`void` `setNotice(String notice)`
`void` `setPath(String path)`
`void` `setType(String type)`
`Archives.Item` `type(String type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Item

    public Item()

Required for JAXB

### Method Detail

#### getPath

    public String getPath()

#### setPath

    public void setPath(String path)

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getType

    public String getType()

#### setType

    public void setType(String type)

#### getJars

    public int getJars()

#### setJars

    public void setJars(int jars)

#### getLicense

    public String getLicense()

#### setLicense

    public void setLicense(String license)

#### getNotice

    public String getNotice()

#### setNotice

    public void setNotice(String notice)

#### path

    public Archives.Item path(String path)

#### name

    public Archives.Item name(String name)

#### type

    public Archives.Item type(String type)

#### jars

    public Archives.Item jars(int jars)

#### license

    public Archives.Item license(String license)

#### notice

    public Archives.Item notice(String notice)